Package org.stianloader.micromixin.transform.api.supertypes

## Class ClassWrapper

- java.lang.Object
- - org.stianloader.micromixin.transform.api.supertypes.ClassWrapper

-     public class ClassWrapper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassWrapper​(java.lang.String name, java.lang.String superName, java.lang.String[] superInterfaces, boolean isInterface, ClassWrapperPool pool)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Set<java.lang.String>` | `getAllImplementatingInterfaces()` | Obtains all interfaces this class implements.
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getSuper()` |
    `java.lang.String[]` | `getSuperInterfacesName()` |
    `ClassWrapper` | `getSuperWrapper()` |
    `int` | `hashCode()` |
    `boolean` | `isInterface()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassWrapper

          public ClassWrapper​(@NotNull
                              java.lang.String name,
                              @Nullable
                              java.lang.String superName,
                              @NotNull
                              java.lang.String[] superInterfaces,
                              boolean isInterface,
                              @NotNull
                              ClassWrapperPool pool)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getAllImplementatingInterfaces

          @NotNull
          public java.util.Set<java.lang.String> getAllImplementatingInterfaces()

      Obtains all interfaces this class implements. This includes interfaces superclasses have implemented or super-interfaces of interfaces.

      If this class is an interface, it also includes this class.

      Returns:
        A set of all interfaces implemented by this class or it's supers

    - #### getName

          @NotNull
          public java.lang.String getName()

    - #### getSuper

          @Nullable
          public java.lang.String getSuper()

    - #### getSuperInterfacesName

          @NotNull
          public java.lang.String[] getSuperInterfacesName()

    - #### getSuperWrapper

          public ClassWrapper getSuperWrapper()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isInterface

          public boolean isInterface()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`